<?php

namespace Ignite\Core\Database\Seeders\Strategy;

abstract class AbstractStrategy
{
    /** @var string */
    protected $filepath;

    /**
     * Abstract Strategy.
     *
     * @param string $filepath
     */
    public function __construct($filepath)
    {
        $this->filepath = $filepath;
    }

    /**
     * The filepath of the json data file.
     *
     * @return bool|string
     */
    protected function getFilepath()
    {
        return $this->filepath;
    }
}
